View Issue Details

IDProjectCategoryView StatusLast Update
0002314NoesisGUIC# SDKpublic2022-06-21 17:12
Reporterdarthmaule2 Assigned Tosfernandez  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.4 
Target Version3.1.5Fixed in Version3.1.5 
Summary0002314: AccessViolationException after ~200 minutes
DescriptionThe last three times I've left my system and came back to it a couple hours later, it's in a crashed state:

Fatal error. System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
Repeat 2 times:
--------------------------------
   at Noesis.Renderer.Noesis_Renderer_Render(System.Runtime.InteropServices.HandleRef, Boolean, Boolean)
--------------------------------
   at NoesisApp.Window.Render(Double)
   at NoesisApp.Application.<Run>b__56_0(NoesisApp.Display)
   at NoesisApp.Win32Display.EnterMessageLoop(Boolean)
   at NoesisApp.Application.Run()
   at UIShell.App.Main(System.String[]
Steps To Reproduce1.) Start my application UIShell
2.) Leave it showing the fake live video screen
3.) Come back 2 hours later
TagsNo tags attached.
PlatformWindows

Relationships

related to 0002313 resolvedsfernandez NoesisGUI Random crashs on Noesis.dll 

Activities

jack.barkov

jack.barkov

2022-03-25 11:23

reporter   ~0007876

It's the same bug (It's the same error and the same callstack, but in the c++ sdk):

https://www.noesisengine.com/bugs/view.php?id=2313
sfernandez

sfernandez

2022-05-30 16:08

manager   ~0007946

It seems related to geometry data packing for GPU:

 	ntdll.dll!NtWaitForSingleObject()	Unknown
     KERNELBASE.dll!WaitForSingleObjectEx()	Unknown
     ntdll.dll!RtlpExecuteHandlerForException()	Unknown
     ntdll.dll!RtlDispatchException()	Unknown
     ntdll.dll!KiUserExceptionDispatch()	Unknown
>	Noesis.dll!Noesis::VGLContext::PackPath(const Noesis::BatchGroup & k, const Noesis::DrawInfo & drawInfo, unsigned int stride, unsigned int & base, unsigned char * & vOut, unsigned short * & iOut) Line 2576	C++
     Noesis.dll!Noesis::VGLContext::UploadGPUGeometry() Line 3895	C++
     Noesis.dll!Noesis::VGLContext::Flush(bool endOfFrame, bool clearEffects, bool flipY) Line 1397	C++
     Noesis.dll!Noesis::RenderTreeHelper::Render(Noesis::RenderNode * node, float x, float y, float width, float height, bool flipY, bool clear, const Noesis::Matrix4 & projection) Line 112	C++
     Noesis.dll!Noesis::RenderTree::Render(float x, float y, float width, float height, bool flipY, bool clear, const Noesis::Matrix4 & projection) Line 308	C++
     Noesis.dll!Noesis::Renderer::Render(const Noesis::Matrix4 & projection, bool flipY, bool clear) Line 227	C++
     Noesis.dll!Noesis::Renderer::Render(bool flipY, bool clear) Line 191	C++

Issue History

Date Modified Username Field Change
2022-03-24 13:29 darthmaule2 New Issue
2022-03-25 11:23 jack.barkov Note Added: 0007876
2022-03-28 20:50 jsantos Assigned To => sfernandez
2022-03-28 20:50 jsantos Status new => assigned
2022-03-28 20:50 jsantos Target Version => 3.1.5
2022-03-28 20:50 jsantos Relationship added related to 0002313
2022-05-30 16:08 sfernandez Note Added: 0007946
2022-06-21 17:12 jsantos Status assigned => resolved
2022-06-21 17:12 jsantos Resolution open => fixed
2022-06-21 17:12 jsantos Fixed in Version => 3.1.5